package com.dsk.flink.dsc.utils;

import java.util.Properties;

public class EtlUtils {

    public static Properties getKafkaConfig(String url, String groupId) {
        Properties properties = new Properties();
        properties.setProperty("bootstrap.servers", url);
        properties.setProperty("group.id", groupId);
        properties.setProperty("key.deserializer", "org.apache.kafka.common.serialization.StringDeserializer");
        properties.setProperty("value.deserializer", "org.apache.kafka.common.serialization.StringDeserializer");
        properties.setProperty("auto.offset.reset", "earliest");
        //properties.setProperty("auto.offset.reset", "latest");
        //properties.setProperty("max.poll.interval.ms", "604800000");
        //properties.setProperty("session.timeout.ms", "20160000");
        //properties.setProperty("heartbeat.interval.ms", "6720000");
        //properties.setProperty("max.partition.fetch.bytes", "349525");
        //properties.setProperty("max.poll.records", "50");
        /*properties.setProperty("sasl.jaas.config", "org.apache.kafka.common.security.plain.PlainLoginModule required username=\"dsk\" password=\"LU1SRhTzoxssRoCp\";");
        properties.setProperty("security.protocol", "SASL_PLAINTEXT");
        properties.setProperty("sasl.mechanism", "PLAIN");*/
        properties.setProperty("sasl.jaas.config", "org.apache.kafka.common.security.scram.ScramLoginModule required username=\"ccroad\" password=\"BkYeyyb9KkFGkVua9sjzwWZVL\";");
        properties.setProperty("security.protocol", "SASL_PLAINTEXT");
        properties.setProperty("sasl.mechanism", "SCRAM-SHA-512");
        return properties;
    }
}
